Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.lucene.basic
Class DynamicField

    java.lang.Object
      org.modeshape.jcr.query.lucene.basic.DynamicField

All Implemented Interfaces:
  Serializable

    @Immutable
    public final class DynamicField

extends Object
implements Serializable

A representation of a field to be added to the document without knowledge of the field at compile time.

See Also:
  Serialized Form

Constructor Summary
`DynamicField(DynamicField next, String fieldName, Object value, boolean analyzed, boolean stored)`

Method Summary
`String` | `getFieldName()` Get the field name.
`DynamicField` | `getNext()` Get the next dynamic field.
`Object` | `getValue()` Get the field value or values.
`boolean` | `isAnalyzed()` Determine if this field is to be analyzed.
`boolean` | `isStored()` Determine if this field is to be stored in the indexes, allowing use of comparison operations.
`String` | `toString()`
`protected void` | `toString(StringBuilder sb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicField

    public DynamicField(DynamicField next,
                        String fieldName,
                        Object value,
                        boolean analyzed,
                        boolean stored)

Method Detail

### getFieldName

    public String getFieldName()

  Get the field name.

  Returns:
    the field name; never null

### getValue

    public Object getValue()

  Get the field value or values.

  Returns:
    the field value or array of values; never null

### isAnalyzed

    public boolean isAnalyzed()

  Determine if this field is to be analyzed.

  Returns:
    true if the field is to be analyzed, or false otherwise

### isStored

    public boolean isStored()

  Determine if this field is to be stored in the indexes, allowing use of comparison operations.

  Returns:
    true if the field is to be stored, or false otherwise

### getNext

    public DynamicField getNext()

  Get the next dynamic field.

  Returns:
    next

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    protected void toString(StringBuilder sb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.